%global dlrn_nvr 18.5.1-1.20230201003831.842492c
%global dlrn 1
%define upstream_version 18.5.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa7475c5f2122fec3f90343223fe3bf5aad1080e4
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%define upstream_name openstack-octavia

Name:                   puppet-octavia
Version: 18.5.1
Release: 1.20230201003831.842492c%{?dist}
Summary:                Puppet module for Octavia
License:                ASL 2.0

URL:                    https://launchpad.net/%{name}

Source0: 18.5.1-1.20230201003831.842492c.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=842492ccf685811520d84ac12ea5b4b4a1ed5816

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:              noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

Requires:               puppet-inifile
Requires:               puppet-keystone
Requires:               puppet-nova
Requires:               puppet-openstacklib
Requires:               puppet-oslo
Requires:               puppet-stdlib
Requires:               puppet >= 2.7.0

%description
Octavia puppet module

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n %{upstream_name}-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/octavia/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/octavia/


%files
%{_datadir}/openstack-puppet/modules/octavia/


%changelog
* Tue Jan 31 2023 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20230201003831.842492c
- Update patches
- Add support for MultiStrOpt
- octavia-controller: Convert list values for ListOpts

* Tue Jan 31 2023 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20230131224024.92e7850
- Add support for MultiStrOpt
- octavia-controller: Convert list values for ListOpts

* Mon Dec 19 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221219233951.92e7850
- Update patches
- Remove centos8 wallaby tripleo jobs

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221109030047.35f7824
- Update patches

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221108100059.35f7824
- Update patches
- setuptools: Disable auto discovery

* Tue Nov 01 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221102025707.c7d4f67
- Update patches
- Prepare the final wallaby release

* Sat Aug 20 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220820223721.86f0407
- Update patches
- Do not show passphrase even if it is invalid

* Thu Aug 18 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220818144137.36e13e5
- Update patches
- Make TripleO job voting

* Wed Aug 17 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220817113800.47b7b3c
- Make TripleO job voting

* Thu Jul 28 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220729005632.47b7b3c
- Update patches
- TripleO: Switch to scenario 013

* Thu Jul 28 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220728044150.2b2e580
- Update patches

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220727162025.2b2e580
- ovn: Accept arrays for ovn_*_connection parameters (rhbz#1966644)
- ovn: Add support for ovn_sb_* parameters (rhbz#1966644)
- ovn: Add more tunables related to OVN DB connection (rhbz#1966644)
- Manage ovn-octavia-provider package (rhbz#1966644)

* Sun Jul 24 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220724225147.2b2e580
- Update patches
- ovn: Accept arrays for ovn_*_connection parameters
- ovn: Add support for ovn_sb_* parameters
- ovn: Add more tunables related to OVN DB connection
- Manage ovn-octavia-provider package

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220718110744.40cbbe6
- Update patches
- Accept array or hash for enable_provider_drivers
- Fix inconsistent spec file name

* Thu Mar 24 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.0-0.20220324061845.765afdf
- Update patches
- Add parameters to configure amphorav2 driver

* Thu Mar 17 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.0-0.20220317181943.2255949
- Update patches
- Add centos-9 jobs for wallaby zuul layout

* Thu Feb 24 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220224223308.da1dcd4
- Update patches
- api: Add support for TLS cipher/version parameters

* Sun Feb 20 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220220222243.f8b2c94
- Update patches
- Add support for [api_settings] healthcheck_refresh_interval

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220217234743.cc4719e
- Update patches

* Thu Feb 03 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220204014914.cc4719e
- Update patches
- Prepare a new Wallaby release

* Sat Jan 08 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.0-0.20220109004609.0d9f89b
- Update patches
- TripleO: Use nested virt

* Mon Sep 27 2021 OSP Prod Chain <dev-null@redhat.com> 19.4.0-0.20210928011835.74fc03f
- Update patches
- [service_auth] password should be secret

* Sun Aug 22 2021 OSP Prod Chain <dev-null@redhat.com> 19.2.0-0.20210822221809.7658c66
- Update patches
- TripleO: Reduce tempest test scope

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210604002622.7f1264d
- Update patches
- Set fixture paths for unit tests

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 19.0.0-0.20210528115205.de98237
- Update patches

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 19.0.0-0.20210523172717.de98237
- Update patches

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 19.0.0-0.20210513005658.de98237
- Update patches
- Fix a typo in parameter description

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 18.4.0-1
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Update sphinx to the latest version
- Prepare Wallaby RC1

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for oslo_policy/enforce_new_defaults
- Update supported Ubuntu version to Focal
- Add support for [controller_worker] image_driver
- Add support for [haproxy_amphora] build_rate_limit
- Add support for healthcheck middleware options

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update supported Ubuntu version to Focal
- Update supported Ubuntu version to Focal

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update supported Ubuntu version to Focal
- Add puppetlabs-apache to dependencies
- Add support for the oslo_policy/enforce_scope parameter
- Add support for volume based amphora
- Do not redefine default drivers

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Mar 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M3
- Add support for the api_settings/pagination_max_limit
- Do not expect database/idle_timeout

* Mon Jan 25 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use consistent parameter names for quota options

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M2

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate parameters for the Spares Pool feature

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M1

* Thu Nov 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow db sync timeouts to be configurable

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Tue Nov 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix the tripleo job definition

* Mon Nov 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Build containers for single consumer job

* Sat Nov 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for the keystone_authtoken/service_type parameter

* Wed Nov 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate allow_insecure_clients option

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix outdated files

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate database options from the octavia class
- Fix missing parameters for tripleo standalone job

* Mon Oct 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Wallaby
- Use tripleo-puppet-ci-centos-8-standalone as tripleo job base

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include deps class in unit test for sync

* Sat Oct 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include deps class in unit test for postgresql

* Fri Oct 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include deps class in unit test for mysql
- Update master for stable/victoria

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria RC1

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set openstackdocs_auto_name to use 'project' as name
- Add Puppet Litmus

* Tue Sep 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M3

* Mon Aug 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Do not validate database_connection format
- Use openstack_spec_helper from zuul checkout

* Sat Aug 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use common class to manage apache service in beaker job
- Add mysql_enable_ndb option

* Thu Aug 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Use common class to manage apache service in beaker job
- Use common class to manage apache service in beaker job

* Thu Aug 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use common class to manage apache service in beaker job

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Expose vhost_custom_fragment

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add non-voting TripleO Octavia CI job

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup deprecated controller parameters from octavia::worker

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M2

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch oslo.policy over to yaml

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for the interface parameter in authtoken middleware

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change to relative include

* Sat Jun 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M1

* Thu Jun 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for [oslo_middleware] enable_proxy_headers_parsing

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update Puppet requirement to >= 6.0.0

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unnecessary puppet-rabbitmq from dependencies

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove password hash generation in each puppet modules

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Victoria

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Add CONTRIBUTING.rst

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump reno to 2.5.0

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS8 to nodesets

* Sun May 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use anchor to require necessary packages
- Runs on Debian 10.

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump openstackdocstheme to 1.30.0

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix rabbitmq version in metadata

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change rpsec to rspec

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/ussuri

* Sat Apr 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri RC1

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix broken unit tests because of list in notification drivers

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3 again
- Resolve duplicated requirement names in metadata

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add driver agent configuration

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Expect python3 client package in CentOS8
- Add Octavia OVN Provider configuration (2 of 2)
- Add CentOS 8 and Puppet 6 in metadata

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update mysql module to <11.0.0

* Wed Mar 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate min_pool_size option

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove idle_timeout option

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Octavia OVN Provider configuration (1 of 2)

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support amp_image_owner_id option for octavia controller

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Mar 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Improve unit test coverage in octavia::controller

* Mon Mar 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Adds amp_active_retries and amp_active_wait_sec

* Mon Mar 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change the default for octavia-worker workers to os_workers

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Add Octavia OVN Provider configuration"

* Wed Mar 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Octavia OVN Provider configuration

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Cleanup for python 2.7 drop

* Sun Feb 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add region_name for service_auth

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M2

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Add parameters for amphora anti-affinity"

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix stdlib version in metadata

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M1

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert all class usage to relative names

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove extra line

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add parameters for amphora anti-affinity

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix rabbitmq dependency

* Fri Oct 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add keepalivd vrrp parameters

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add parameters for amphora log offloading

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/train



